<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/Game/Super/Building.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d6/db8/4___world_2_entities_2_game_2_super_2_building_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">Building.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../d6/db8/4___world_2_entities_2_game_2_super_2_building_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d21/class_house.html">House</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="typedef-members" name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:a786de7d1ba91597c34737cf53ec9cb8a"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../df/d21/class_house.html">House</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/db8/4___world_2_entities_2_game_2_super_2_building_8c.html#a786de7d1ba91597c34737cf53ec9cb8a">BuildingSuper</a></td></tr>
<tr class="separator:a786de7d1ba91597c34737cf53ec9cb8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a11a85c959d293a551cfe9da1e983d7ce"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/db8/4___world_2_entities_2_game_2_super_2_building_8c.html#a11a85c959d293a551cfe9da1e983d7ce">BuildingBase</a> ()</td></tr>
<tr class="separator:a11a85c959d293a551cfe9da1e983d7ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afff6aa7201eb061ee2d0a22765e6b0a7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/db8/4___world_2_entities_2_game_2_super_2_building_8c.html#afff6aa7201eb061ee2d0a22765e6b0a7">InitializeActions</a> ()</td></tr>
<tr class="separator:afff6aa7201eb061ee2d0a22765e6b0a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6eb7ab07852776ee9e60fe1ca524d18d"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/db8/4___world_2_entities_2_game_2_super_2_building_8c.html#a6eb7ab07852776ee9e60fe1ca524d18d">GetActions</a> (<a class="el" href="../../d2/db4/classtypename.html">typename</a> action_input_type, out <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d9/d3f/_action_base___basic_8c.html#d7/d90/class_action_base___basic">ActionBase_Basic</a> &gt; actions)</td></tr>
<tr class="separator:a6eb7ab07852776ee9e60fe1ca524d18d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2400a05f77ec52157aea175d232e50ca"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/db8/4___world_2_entities_2_game_2_super_2_building_8c.html#a2400a05f77ec52157aea175d232e50ca">SetActions</a> ()</td></tr>
<tr class="separator:a2400a05f77ec52157aea175d232e50ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52cdff768ebc148eee5a17e4ebef3408"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/db8/4___world_2_entities_2_game_2_super_2_building_8c.html#a52cdff768ebc148eee5a17e4ebef3408">AddAction</a> (<a class="el" href="../../d2/db4/classtypename.html">typename</a> actionName)</td></tr>
<tr class="separator:a52cdff768ebc148eee5a17e4ebef3408"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeed2298397022ee394f580779cc6fb06"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/db8/4___world_2_entities_2_game_2_super_2_building_8c.html#aeed2298397022ee394f580779cc6fb06">RemoveAction</a> (<a class="el" href="../../d2/db4/classtypename.html">typename</a> actionName)</td></tr>
<tr class="separator:aeed2298397022ee394f580779cc6fb06"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a206ebcdef4641d6d49979ff9605a5da5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../df/d21/class_house.html">House</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/db8/4___world_2_entities_2_game_2_super_2_building_8c.html#a206ebcdef4641d6d49979ff9605a5da5">typename</a></td></tr>
<tr class="separator:a206ebcdef4641d6d49979ff9605a5da5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a01eb1f64e3525c2b6367f977b8340a4d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../df/d21/class_house.html">House</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/db8/4___world_2_entities_2_game_2_super_2_building_8c.html#a01eb1f64e3525c2b6367f977b8340a4d">m_BuildingTypeActionsMap</a> = new <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt;<a class="el" href="../../d2/db4/classtypename.html">typename</a>, ref <a class="el" href="../../d2/dae/_action_manager_client_8c.html#ad78eb700709b2384123a58b91044a6fa">TInputActionMap</a>&gt;</td></tr>
<tr class="separator:a01eb1f64e3525c2b6367f977b8340a4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21cd396a6f75d9f928f6fa4f518a8e51"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d2/dae/_action_manager_client_8c.html#ad78eb700709b2384123a58b91044a6fa">TInputActionMap</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/db8/4___world_2_entities_2_game_2_super_2_building_8c.html#a21cd396a6f75d9f928f6fa4f518a8e51">m_InputActionMap</a></td></tr>
<tr class="separator:a21cd396a6f75d9f928f6fa4f518a8e51"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98dca8629655bb33fc72bb202ca2fb3c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/db8/4___world_2_entities_2_game_2_super_2_building_8c.html#a98dca8629655bb33fc72bb202ca2fb3c">m_ActionsInitialize</a></td></tr>
<tr class="separator:a98dca8629655bb33fc72bb202ca2fb3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Typedef Documentation</h2>
<a id="a786de7d1ba91597c34737cf53ec9cb8a" name="a786de7d1ba91597c34737cf53ec9cb8a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a786de7d1ba91597c34737cf53ec9cb8a">&#9670;&#160;</a></span>BuildingSuper</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="../../df/d21/class_house.html">House</a> <a class="el" href="../../d5/d2c/class_building_super.html">BuildingSuper</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/db8/4___world_2_entities_2_game_2_super_2_building_8c_source.html#l00092">92</a> of file <a class="el" href="../../d6/db8/4___world_2_entities_2_game_2_super_2_building_8c_source.html">Building.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a52cdff768ebc148eee5a17e4ebef3408" name="a52cdff768ebc148eee5a17e4ebef3408"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a52cdff768ebc148eee5a17e4ebef3408">&#9670;&#160;</a></span>AddAction()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void AddAction </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/db4/classtypename.html">typename</a> actionName&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/db8/4___world_2_entities_2_game_2_super_2_building_8c_source.html#l00047">47</a> of file <a class="el" href="../../d6/db8/4___world_2_entities_2_game_2_super_2_building_8c_source.html">Building.c</a>.</p>

</div>
</div>
<a id="a11a85c959d293a551cfe9da1e983d7ce" name="a11a85c959d293a551cfe9da1e983d7ce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a11a85c959d293a551cfe9da1e983d7ce">&#9670;&#160;</a></span>BuildingBase()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void BuildingBase </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/db8/4___world_2_entities_2_game_2_super_2_building_8c_source.html#l00014">14</a> of file <a class="el" href="../../d6/db8/4___world_2_entities_2_game_2_super_2_building_8c_source.html">Building.c</a>.</p>

</div>
</div>
<a id="a6eb7ab07852776ee9e60fe1ca524d18d" name="a6eb7ab07852776ee9e60fe1ca524d18d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6eb7ab07852776ee9e60fe1ca524d18d">&#9670;&#160;</a></span>GetActions()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void GetActions </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/db4/classtypename.html">typename</a> action_input_type&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d9/d3f/_action_base___basic_8c.html#d7/d90/class_action_base___basic">ActionBase_Basic</a> &gt;&#160;</td>
          <td class="paramname"><em>actions</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/db8/4___world_2_entities_2_game_2_super_2_building_8c_source.html#l00031">31</a> of file <a class="el" href="../../d6/db8/4___world_2_entities_2_game_2_super_2_building_8c_source.html">Building.c</a>.</p>

</div>
</div>
<a id="afff6aa7201eb061ee2d0a22765e6b0a7" name="afff6aa7201eb061ee2d0a22765e6b0a7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afff6aa7201eb061ee2d0a22765e6b0a7">&#9670;&#160;</a></span>InitializeActions()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void InitializeActions </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/db8/4___world_2_entities_2_game_2_super_2_building_8c_source.html#l00019">19</a> of file <a class="el" href="../../d6/db8/4___world_2_entities_2_game_2_super_2_building_8c_source.html">Building.c</a>.</p>

</div>
</div>
<a id="aeed2298397022ee394f580779cc6fb06" name="aeed2298397022ee394f580779cc6fb06"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeed2298397022ee394f580779cc6fb06">&#9670;&#160;</a></span>RemoveAction()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void RemoveAction </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/db4/classtypename.html">typename</a> actionName&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/db8/4___world_2_entities_2_game_2_super_2_building_8c_source.html#l00078">78</a> of file <a class="el" href="../../d6/db8/4___world_2_entities_2_game_2_super_2_building_8c_source.html">Building.c</a>.</p>

</div>
</div>
<a id="a2400a05f77ec52157aea175d232e50ca" name="a2400a05f77ec52157aea175d232e50ca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2400a05f77ec52157aea175d232e50ca">&#9670;&#160;</a></span>SetActions()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SetActions </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/db8/4___world_2_entities_2_game_2_super_2_building_8c_source.html#l00042">42</a> of file <a class="el" href="../../d6/db8/4___world_2_entities_2_game_2_super_2_building_8c_source.html">Building.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a98dca8629655bb33fc72bb202ca2fb3c" name="a98dca8629655bb33fc72bb202ca2fb3c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a98dca8629655bb33fc72bb202ca2fb3c">&#9670;&#160;</a></span>m_ActionsInitialize</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> m_ActionsInitialize</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/db8/4___world_2_entities_2_game_2_super_2_building_8c_source.html#l00012">12</a> of file <a class="el" href="../../d6/db8/4___world_2_entities_2_game_2_super_2_building_8c_source.html">Building.c</a>.</p>

</div>
</div>
<a id="a01eb1f64e3525c2b6367f977b8340a4d" name="a01eb1f64e3525c2b6367f977b8340a4d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a01eb1f64e3525c2b6367f977b8340a4d">&#9670;&#160;</a></span>m_BuildingTypeActionsMap</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../df/d21/class_house.html">House</a> m_BuildingTypeActionsMap = new <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt;<a class="el" href="../../d2/db4/classtypename.html">typename</a>, ref <a class="el" href="../../d2/dae/_action_manager_client_8c.html#ad78eb700709b2384123a58b91044a6fa">TInputActionMap</a>&gt;</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a21cd396a6f75d9f928f6fa4f518a8e51" name="a21cd396a6f75d9f928f6fa4f518a8e51"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a21cd396a6f75d9f928f6fa4f518a8e51">&#9670;&#160;</a></span>m_InputActionMap</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d2/dae/_action_manager_client_8c.html#ad78eb700709b2384123a58b91044a6fa">TInputActionMap</a> m_InputActionMap</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/db8/4___world_2_entities_2_game_2_super_2_building_8c_source.html#l00011">11</a> of file <a class="el" href="../../d6/db8/4___world_2_entities_2_game_2_super_2_building_8c_source.html">Building.c</a>.</p>

</div>
</div>
<a id="a206ebcdef4641d6d49979ff9605a5da5" name="a206ebcdef4641d6d49979ff9605a5da5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a206ebcdef4641d6d49979ff9605a5da5">&#9670;&#160;</a></span>typename</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../df/d21/class_house.html">House</a> <a class="el" href="../../d2/db4/classtypename.html">typename</a></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_dab5659aad18fe8270f78857b177918f.html">Game</a></li><li class="navelem"><a class="el" href="../../dir_e2128ffcfdc1041428dcd8eff476bc9f.html">Super</a></li><li class="navelem"><a class="el" href="../../d6/db8/4___world_2_entities_2_game_2_super_2_building_8c.html">Building.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
